2020-07-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.36.

2020-07-22  Simon Josefsson <simon@josefsson.org>

	* po/sv.po.in: Sync with TP.

2020-07-22  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/_Noreturn.h, gl/alloca.in.h,
	gl/basename-lgpl.c, gl/basename-lgpl.h, gl/dirname-lgpl.c,
	gl/dirname.h, gl/dup2.c, gl/getprogname.c, gl/m4/dirname.m4,
	gl/m4/dup2.m4, gl/m4/gnulib-comp.m4, gl/m4/inttypes.m4,
	gl/m4/manywarnings.m4, gl/m4/string_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/unistd_h.m4, gl/string.in.h, gl/stripslash.c,
	gl/sys_stat.in.h, gl/unistd.in.h, gltests/Makefile.am,
	gltests/atomic-int-gnulib.h, gltests/glthread/thread.h, {gl =>
	gltests}/malloc.c, {gl => gltests}/stdlib.in.h,
	gltests/sys_socket.in.h, gltests/test-lock.c,
	gltests/windows-thread.c, gltests/windows-thread.h,
	lib/gl/Makefile.am, lib/gl/m4/dup2.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/sys_stat_h.m4, lib/gl/m4/unistd_h.m4, lib/gl/string.in.h,
	lib/gltests/Makefile.am, lib/gltests/alloca.in.h,
	lib/gltests/atomic-int-gnulib.h, lib/gltests/dup2.c,
	lib/gltests/glthread/thread.h, lib/gltests/sys_socket.in.h,
	lib/gltests/sys_stat.in.h, lib/gltests/test-lock.c,
	lib/gltests/unistd.in.h, lib/gltests/windows-thread.c,
	lib/gltests/windows-thread.h, maint.mk: Update gnulib files.

2020-06-11  Simon Josefsson <simon@josefsson.org>

	* fuzz/Makefile.am: Fix build error on Mac OS X 10.5, Solaris 11 and
	AIX.  Reported by Bruno Haible <bruno@clisp.org>.

2020-06-10  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Ignore libtool.m4 for syntax-check.

2020-06-10  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gltests/Makefile.am, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/version-etc-fsf.c,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4: Drop gnulib
	version-etc-tests, causes linker problems.

2020-06-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore, build-aux/ltmain.sh, cfg.mk, m4/libtool.m4,
	m4/ltoptions.m4, m4/ltsugar.m4, m4/ltversion.m4, m4/lt~obsolete.m4: 
	Add libtool files to VC to be able to work around libtool bugs.  Files taken from libunistring which contain some fixes to solve
	Solaris 11 builds, reported by Bruno Haible in
	https://lists.gnu.org/archive/html/help-libidn/2020-05/msg00016.html

2020-06-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore, doc/gendocs_template, doc/gendocs_template_min,
	gl/Makefile.am, {gltests => gl}/alloca.in.h, {gltests =>
	gl}/cloexec.c, {gltests => gl}/cloexec.h, {gltests => gl}/close.c,
	{gltests => gl}/dup2.c, {gltests => gl}/fcntl.c, {gltests =>
	gl}/fcntl.in.h, {gltests => gl}/fd-hook.c, {gltests =>
	gl}/fd-hook.h, {gltests => gl}/fstat.c, {gltests =>
	gl}/getdtablesize.c, gl/getprogname.c, gl/m4/getdelim.m4,
	gl/m4/gnulib-comp.m4, gl/m4/std-gnu11.m4, gl/m4/unistd_h.m4,
	gl/m4/wchar_h.m4, {gltests => gl}/malloca.c, {gltests =>
	gl}/malloca.h, {gltests => gl}/open.c, {gltests => gl}/pathmax.h,
	{gltests => gl}/stat-time.c, {gltests => gl}/stat-time.h, {gltests
	=> gl}/stat-w32.c, {gltests => gl}/stat-w32.h, {gltests =>
	gl}/stat.c, {gltests => gl}/sys_stat.in.h, {gltests =>
	gl}/time.in.h, gl/unistd.in.h, gl/verify.h, {gltests =>
	gl}/xalloc-oversized.h, gltests/Makefile.am, gltests/ftruncate.c,
	gltests/gettimeofday.c, gltests/putenv.c, gltests/select.c,
	gltests/socket.c, gltests/test-open.h, gltests/wchar.in.h,
	gltests/windows-rwlock.c, lib/gl/libc-config.h,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/std-gnu11.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/wchar_h.m4,
	lib/gltests/Makefile.am, lib/gltests/ftruncate.c,
	lib/gltests/gettimeofday.c, lib/gltests/localename.c,
	lib/gltests/open.c, lib/gltests/putenv.c, lib/gltests/select.c,
	lib/gltests/socket.c, lib/gltests/stat-w32.c, lib/gltests/stat.c,
	lib/gltests/test-open.h, lib/gltests/unistd.in.h,
	lib/gltests/verify.h, lib/gltests/wchar.in.h,
	lib/gltests/windows-rwlock.c: Update gnulib files.

2020-06-10  Simon Josefsson <simon@josefsson.org>

	* po/sv.po.in: Sync with TP.

2020-05-31  Simon Josefsson <simon@josefsson.org>

	* po/eo.po.in, po/sr.po.in: Sync with TP.

2020-05-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, cfg.mk: Move fuzz-coverage rule to gmake-only cfg.mk.
	Fixes native AIX make.  Reported by Bruno Haible <bruno@clisp.org>.

2020-05-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Re-order so that tests/ is done before fuzz/.

2020-05-18  Bruno Haible <bruno@clisp.org>

	* Makefile.am: Reduce the impact of Gnulib test failures.  * Makefile.am (SUBDIRS): Move gltests and lib/gltests after tests.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2020-05-18  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/idn.c: Suggest to use --help when invalid
	command-line parameter was used.

2020-05-18  Simon Josefsson <simon@josefsson.org>

	* THANKS, lib/strerror-idna.c, src/idn.c, src/idn.ggo: Don't use
	old-style quotes.  Reported by Bruno Haible <bruno@clisp.org>.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* gl/error.h, gl/limits.in.h, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/manywarnings.m4, gl/m4/wint_t.m4,
	gl/stdio.in.h, gl/stdlib.in.h, gl/string.in.h, gl/version-etc.h,
	gl/warn-on-use.h, gltests/Makefile.am, gltests/attribute.h,
	gltests/test-ignore-value.c, gltests/warn-on-use.h,
	gltests/wchar.in.h, lib/gl/Makefile.am, lib/gl/attribute.h,
	lib/gl/limits.in.h, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/wint_t.m4, lib/gl/string.in.h,
	lib/gl/unistr/u8-uctomb-aux.c, lib/gl/unistr/u8-uctomb.c,
	lib/gl/unused-parameter.h, lib/gl/warn-on-use.h,
	lib/gltests/stdio.in.h, lib/gltests/stdlib.in.h,
	lib/gltests/test-ignore-value.c, lib/gltests/unused-parameter.h,
	lib/gltests/warn-on-use.h, lib/gltests/wchar.in.h: Update gnulib
	files.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, doc/tld/no.tld: tld: Add U+00EF to .nl TLD table.  Reported by Trond Haugen <trond.haugen@norid.no>.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* THANKS: Update name/email on request.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Doc fix.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Doc fix.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* .gitlab-ci.yml, HACKING: Add build-dep on dblatex for
	gtkdoc-mkpdf.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* .gitlab-ci.yml, HACKING: Add build-dep on autopoint.

2020-05-17  Simon Josefsson <simon@josefsson.org>

	* po/cs.po.in, po/de.po.in, po/fr.po.in, po/nl.po.in, po/pl.po.in,
	po/pt_BR.po.in, po/uk.po.in, po/zh_CN.po.in: Sync with TP.

2020-05-01  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/README.md, fuzz/fuzzer.h,
	fuzz/libidn_stringprep_fuzzer.c, fuzz/libidn_toascii_fuzzer.c,
	fuzz/libidn_tounicode_fuzzer.c, fuzz/main.c, fuzz/run-afl.sh,
	fuzz/run-clang.sh: Update file copyrights in fuzz/

2020-04-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/idna.c, lib/strerror-idna.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c, lib/stringprep.c, lib/tld.c: Fix ICONV error
	string.  Suggested by Benno Schulenberg.

2020-04-30  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/idn-free.h, lib/idna.c, lib/idna.h, lib/nfkc.c,
	lib/pr29.h, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.h, lib/toutf8.c, lib/version.c,
	src/idn.c, tests/tst_badutf8.c, tests/tst_badutf8nfkc.c,
	tests/tst_idna.c, tests/tst_idna2.c, tests/tst_idna3.c,
	tests/tst_idna4.c, tests/tst_nfkc.c, tests/tst_pr29.c,
	tests/tst_punycode.c, tests/tst_strerror.c, tests/tst_stringprep.c,
	tests/tst_symbols.c, tests/tst_tld.c, tests/tst_toascii64oob.c,
	tests/tst_toutf8.c, tests/tst_utf8crash.c, tests/utils.c,
	tests/utils.h, windows/include/ac-stdint.h,
	windows/include/config.h, windows/include/stdbool.h: Restore
	pre-processor indentation.

2020-04-29  Simon Josefsson <simon@josefsson.org>

	* .gitlab-ci.yml: Simplify CI rules.

2020-04-29  Simon Josefsson <simon@josefsson.org>

	* .gitlab-ci.yml, HACKING: Debian git package is now git rather than
	git-core.

2020-04-29  Simon Josefsson <simon@josefsson.org>

	* .gitlab-ci.yml: Install build deps.

2020-04-29  Simon Josefsson <simon@josefsson.org>

	* .gitlab-ci.yml: Add GitLab CI rules.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix NEWS.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Re-enable valgrind tests for developers.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, contrib/java/IDNA.c, examples/example5.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/nfkc.c, lib/pr29.h, lib/profiles.c,
	lib/punycode.c, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/example.c, src/idn.c, tests/tst_badutf8.c,
	tests/tst_badutf8nfkc.c, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_idna3.c, tests/tst_idna4.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_symbols.c, tests/tst_tld.c,
	tests/tst_toascii64oob.c, tests/tst_toutf8.c,
	tests/tst_utf8crash.c, tests/utils.c, tests/utils.h,
	windows/include/ac-stdint.h, windows/include/config.h,
	windows/include/stdbool.h: Indent code.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/profiles.c: Fix syntax-checks.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* .gitignore, GNUmakefile, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/update-copyright, build-aux/useless-if-before-free,
	build-aux/vc-list-files, doc/gendocs_template,
	doc/gendocs_template_min, gl/Makefile.am, gl/_Noreturn.h,
	gl/arg-nonnull.h, gl/basename-lgpl.c, gl/c++defs.h,
	gl/dirname-lgpl.c, gl/dirname.h, gl/dosname.h, gl/errno.in.h,
	gl/error.c, gl/error.h, gl/filename.h, gl/getdelim.c, gl/getline.c,
	gl/getopt-cdefs.in.h, gl/getopt-core.h, gl/getopt-ext.h,
	gl/getopt-pfx-core.h, gl/getopt-pfx-ext.h, gl/getopt.c,
	gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h, gl/getprogname.c,
	gl/getprogname.h, gl/gettext.h, gl/intprops.h, gl/limits.h,
	gl/limits.in.h, gl/m4/00gnulib.m4, gl/m4/absolute-header.m4,
	gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4, gl/m4/autobuild.m4,
	gl/m4/close.m4, gl/m4/csharp.m4, gl/m4/csharpcomp.m4,
	gl/m4/csharpexec.m4, gl/m4/ctype.m4, gl/m4/dirname.m4,
	gl/m4/double-slash-root.m4, gl/m4/dup2.m4, gl/m4/eealloc.m4,
	gl/m4/environ.m4, gl/m4/errno_h.m4, gl/m4/error.m4,
	gl/m4/extensions.m4, gl/m4/extern-inline.m4, gl/m4/fcntl-o.m4,
	gl/m4/fcntl.m4, gl/m4/fcntl_h.m4, gl/m4/fdopen.m4, gl/m4/fstat.m4,
	gl/m4/ftruncate.m4, gl/m4/getcwd.m4, gl/m4/getdelim.m4,
	gl/m4/getdtablesize.m4, gl/m4/getline.m4, gl/m4/getopt.m4,
	gl/m4/getprogname.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/host-cpu-c-abi.m4, gl/m4/include_next.m4, gl/m4/inet_pton.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/ioctl.m4,
	gl/m4/isblank.m4, gl/m4/largefile.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/limits-h.m4,
	gl/m4/localtime-buffer.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/malloca.m4,
	gl/m4/manywarnings-c++.m4, gl/m4/manywarnings.m4, gl/m4/mode_t.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4,
	gl/m4/nanosleep.m4, gl/m4/netinet_in_h.m4, gl/m4/nocrash.m4,
	gl/m4/off_t.m4, gl/m4/open-cloexec.m4, gl/m4/open-slash.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4,
	gl/m4/pthread-thread.m4, gl/m4/pthread_h.m4,
	gl/m4/pthread_rwlock_rdlock.m4, gl/m4/pthread_sigmask.m4,
	gl/m4/putenv.m4, gl/m4/raise.m4, gl/m4/sched_h.m4, gl/m4/select.m4,
	gl/m4/semaphore.m4, gl/m4/setenv.m4, gl/m4/sigaction.m4,
	gl/m4/signal_h.m4, gl/m4/signalblocking.m4, gl/m4/sleep.m4,
	gl/m4/socketlib.m4, gl/m4/sockets.m4, gl/m4/socklen.m4,
	gl/m4/sockpfaf.m4, gl/m4/ssize_t.m4, gl/m4/stat-time.m4,
	gl/m4/stat.m4, gl/m4/stdalign.m4, gl/m4/stdarg.m4,
	gl/m4/stdbool.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/strerror.m4,
	gl/m4/strerror_r.m4, gl/m4/string_h.m4, gl/m4/symlink.m4,
	gl/m4/sys_ioctl_h.m4, gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4,
	gl/m4/sys_stat_h.m4, gl/m4/sys_time_h.m4, gl/m4/sys_types_h.m4,
	gl/m4/sys_uio_h.m4, gl/m4/thread.m4, gl/m4/threadlib.m4,
	gl/m4/time_h.m4, gl/m4/unistd_h.m4, gl/m4/usleep.m4,
	gl/m4/valgrind-tests.m4, gl/m4/version-etc.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/yield.m4,
	gl/m4/zzgnulib.m4, gl/malloc.c, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/progname.c, gl/progname.h,
	gl/stdarg.in.h, gl/stdbool.in.h, gl/stddef.in.h, gl/stdint.in.h,
	gl/stdio.in.h, gl/stdlib.in.h, gl/strerror-override.c,
	gl/strerror-override.h, gl/strerror.c, gl/string.in.h,
	gl/stripslash.c, gl/sys_types.in.h, gl/unistd.in.h, gl/verify.h,
	gl/version-etc.c, gl/version-etc.h, gl/warn-on-use.h,
	gltests/Makefile.am, gltests/_Noreturn.h, gltests/accept.c,
	gltests/alloca.in.h, gltests/arg-nonnull.h, gltests/arpa_inet.in.h,
	gltests/binary-io.c, gltests/binary-io.h, gltests/bind.c,
	gltests/c++defs.h, gltests/c-ctype.h, gltests/cloexec.c,
	gltests/cloexec.h, gltests/close.c, gltests/connect.c,
	gltests/ctype.in.h, gltests/dup2.c, gltests/fcntl.c,
	gltests/fcntl.in.h, gltests/fd-hook.c, gltests/fd-hook.h,
	gltests/fdopen.c, gltests/filename.h, gltests/fstat.c,
	gltests/ftruncate.c, gltests/getcwd-lgpl.c,
	gltests/getdtablesize.c, gltests/gettimeofday.c,
	gltests/glthread/lock.c, gltests/glthread/lock.h,
	gltests/glthread/thread.c, gltests/glthread/thread.h,
	gltests/glthread/threadlib.c, gltests/glthread/yield.h,
	gltests/ignore-value.h, gltests/inet_pton.c, gltests/init.sh,
	gltests/inttypes.in.h, gltests/ioctl.c, gltests/isblank.c,
	gltests/listen.c, gltests/localtime-buffer.c,
	gltests/localtime-buffer.h, gltests/lstat.c, gltests/macros.h,
	gltests/malloca.c, gltests/malloca.h, gltests/nanosleep.c,
	gltests/nap.h, gltests/netinet_in.in.h, gltests/open.c,
	gltests/pathmax.h, gltests/perror.c, gltests/pipe.c,
	gltests/pthread-thread.c, gltests/pthread.in.h,
	gltests/pthread_sigmask.c, gltests/putenv.c, gltests/raise.c,
	gltests/same-inode.h, gltests/sched.in.h, gltests/select.c,
	gltests/setenv.c, gltests/setsockopt.c, gltests/sig-handler.h,
	gltests/sigaction.c, gltests/signal.in.h, gltests/signature.h,
	gltests/sigprocmask.c, gltests/sleep.c, gltests/socket.c,
	gltests/sockets.c, gltests/sockets.h, gltests/stat-time.h,
	gltests/stat-w32.c, gltests/stat-w32.h, gltests/stat.c,
	gltests/stdalign.in.h, gltests/strerror_r.c, gltests/symlink.c,
	gltests/sys_ioctl.in.h, gltests/sys_select.in.h,
	gltests/sys_socket.in.h, gltests/sys_stat.in.h,
	gltests/sys_time.in.h, gltests/sys_uio.in.h, gltests/test-accept.c,
	gltests/test-alloca-opt.c, gltests/test-arpa_inet.c,
	gltests/test-binary-io.c, gltests/test-bind.c,
	gltests/test-c-ctype.c, gltests/test-cloexec.c,
	gltests/test-close.c, gltests/test-connect.c, gltests/test-ctype.c,
	gltests/test-dup2.c, gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fcntl.c, gltests/test-fdopen.c, gltests/test-fgetc.c,
	gltests/test-fputc.c, gltests/test-fread.c, gltests/test-fstat.c,
	gltests/test-ftruncate.c, gltests/test-fwrite.c,
	gltests/test-getcwd-lgpl.c, gltests/test-getdelim.c,
	gltests/test-getdtablesize.c, gltests/test-getline.c,
	gltests/test-getopt-gnu.c, gltests/test-getopt-main.h,
	gltests/test-getopt-posix.c, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-getprogname.c,
	gltests/test-gettimeofday.c, gltests/test-ignore-value.c,
	gltests/test-inet_pton.c, gltests/test-init.sh,
	gltests/test-intprops.c, gltests/test-inttypes.c,
	gltests/test-ioctl.c, gltests/test-isblank.c,
	gltests/test-limits-h.c, gltests/test-listen.c,
	gltests/test-lock.c, gltests/test-lstat.c, gltests/test-lstat.h,
	gltests/test-malloca.c, gltests/test-nanosleep.c,
	gltests/test-netinet_in.c, gltests/test-once.c,
	gltests/test-open.c, gltests/test-open.h, gltests/test-pathmax.c,
	gltests/test-perror.c, gltests/test-perror2.c, gltests/test-pipe.c,
	gltests/test-pthread-thread.c, gltests/test-pthread.c,
	gltests/test-pthread_sigmask1.c, gltests/test-pthread_sigmask2.c,
	gltests/test-raise.c, gltests/test-rwlock1.c, gltests/test-sched.c,
	gltests/test-select-fd.c, gltests/test-select-stdin.c,
	gltests/test-select.c, gltests/test-select.h,
	gltests/test-setenv.c, gltests/test-setsockopt.c,
	gltests/test-sigaction.c, gltests/test-signal-h.c,
	gltests/test-sigprocmask.c, gltests/test-sleep.c,
	gltests/test-sockets.c, gltests/test-stat-time.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-stdalign.c,
	gltests/test-stdbool.c, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-strerror_r.c,
	gltests/test-symlink.c, gltests/test-symlink.h,
	gltests/test-sys_ioctl.c, gltests/test-sys_select.c,
	gltests/test-sys_socket.c, gltests/test-sys_time.c,
	gltests/test-sys_types.c, gltests/test-sys_uio.c,
	gltests/test-thread_create.c, gltests/test-thread_self.c,
	gltests/test-unsetenv.c, gltests/test-usleep.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify-try.c,
	gltests/test-verify.c, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/time.in.h, gltests/unsetenv.c,
	gltests/usleep.c, gltests/version-etc-fsf.c, gltests/w32sock.h,
	gltests/warn-on-use.h, gltests/wchar.in.h,
	gltests/windows-initguard.h, gltests/windows-mutex.c,
	gltests/windows-mutex.h, gltests/windows-once.c,
	gltests/windows-once.h, gltests/windows-recmutex.c,
	gltests/windows-recmutex.h, gltests/windows-rwlock.c,
	gltests/windows-rwlock.h, gltests/windows-thread.c,
	gltests/windows-thread.h, gltests/windows-tls.c,
	gltests/windows-tls.h, gltests/xalloc-oversized.h,
	lib/gl/Makefile.am, lib/gl/arg-nonnull.h, lib/gl/c++defs.h,
	lib/gl/c-ctype.h, lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c,
	lib/gl/c-strncasecmp.c, lib/gl/cdefs.h, lib/gl/gettext.h,
	lib/gl/iconv.c, lib/gl/iconv.in.h, lib/gl/iconv_close.c,
	lib/gl/iconv_open-aix.gperf, lib/gl/iconv_open-hpux.gperf,
	lib/gl/iconv_open-irix.gperf, lib/gl/iconv_open-osf.gperf,
	lib/gl/iconv_open-solaris.gperf, lib/gl/iconv_open-zos.gperf,
	lib/gl/iconv_open.c, lib/gl/libc-config.h, lib/gl/limits.h,
	lib/gl/limits.in.h, lib/gl/m4/00gnulib.m4, lib/gl/m4/__inline.m4,
	lib/gl/m4/absolute-header.m4, lib/gl/m4/alloca.m4,
	lib/gl/m4/arpa_inet_h.m4, lib/gl/m4/close.m4, lib/gl/m4/codeset.m4,
	lib/gl/m4/ctype.m4, lib/gl/m4/dup2.m4, lib/gl/m4/eealloc.m4,
	lib/gl/m4/environ.m4, lib/gl/m4/errno_h.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/fcntl-o.m4, lib/gl/m4/fcntl.m4, lib/gl/m4/fcntl_h.m4,
	lib/gl/m4/fdopen.m4, lib/gl/m4/flexmember.m4, lib/gl/m4/fstat.m4,
	lib/gl/m4/ftruncate.m4, lib/gl/m4/getcwd.m4,
	lib/gl/m4/getdtablesize.m4, lib/gl/m4/gettimeofday.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/host-cpu-c-abi.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/inet_pton.m4,
	lib/gl/m4/inline.m4, lib/gl/m4/intl-thread-locale.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/ioctl.m4, lib/gl/m4/isblank.m4,
	lib/gl/m4/langinfo_h.m4, lib/gl/m4/largefile.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/ld-output-def.m4,
	lib/gl/m4/ld-version-script.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4,
	lib/gl/m4/libunistring-base.m4, lib/gl/m4/limits-h.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-ja.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/locale-zh.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/localename.m4,
	lib/gl/m4/localtime-buffer.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/lstat.m4, lib/gl/m4/malloc.m4,
	lib/gl/m4/malloca.m4, lib/gl/m4/mode_t.m4, lib/gl/m4/msvc-inval.m4,
	lib/gl/m4/msvc-nothrow.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/nanosleep.m4, lib/gl/m4/netinet_in_h.m4,
	lib/gl/m4/off_t.m4, lib/gl/m4/open-cloexec.m4,
	lib/gl/m4/open-slash.m4, lib/gl/m4/open.m4, lib/gl/m4/pathmax.m4,
	lib/gl/m4/perror.m4, lib/gl/m4/pipe.m4,
	lib/gl/m4/pthread-thread.m4, lib/gl/m4/pthread_h.m4,
	lib/gl/m4/pthread_rwlock_rdlock.m4, lib/gl/m4/pthread_sigmask.m4,
	lib/gl/m4/putenv.m4, lib/gl/m4/raise.m4, lib/gl/m4/sched_h.m4,
	lib/gl/m4/select.m4, lib/gl/m4/semaphore.m4, lib/gl/m4/setenv.m4,
	lib/gl/m4/setlocale.m4, lib/gl/m4/setlocale_null.m4,
	lib/gl/m4/sigaction.m4, lib/gl/m4/signal_h.m4,
	lib/gl/m4/signalblocking.m4, lib/gl/m4/sleep.m4,
	lib/gl/m4/socketlib.m4, lib/gl/m4/sockets.m4, lib/gl/m4/socklen.m4,
	lib/gl/m4/sockpfaf.m4, lib/gl/m4/ssize_t.m4,
	lib/gl/m4/stat-time.m4, lib/gl/m4/stat.m4, lib/gl/m4/stdalign.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdio_h.m4, lib/gl/m4/stdlib_h.m4, lib/gl/m4/strerror.m4,
	lib/gl/m4/strerror_r.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/symlink.m4,
	lib/gl/m4/sys_ioctl_h.m4, lib/gl/m4/sys_select_h.m4,
	lib/gl/m4/sys_socket_h.m4, lib/gl/m4/sys_stat_h.m4,
	lib/gl/m4/sys_time_h.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/sys_uio_h.m4, lib/gl/m4/thread.m4,
	lib/gl/m4/threadlib.m4, lib/gl/m4/time_h.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/usleep.m4, lib/gl/m4/visibility.m4,
	lib/gl/m4/warn-on-use.m4, lib/gl/m4/wchar_h.m4,
	lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4, lib/gl/m4/yield.m4,
	lib/gl/m4/zzgnulib.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/gl/sys_types.in.h,
	lib/gl/unistr.in.h, lib/gl/unistr/u8-check.c,
	lib/gl/unistr/u8-mbtoucr.c, lib/gl/unistr/u8-uctomb-aux.c,
	lib/gl/unistr/u8-uctomb.c, lib/gl/unitypes.in.h,
	lib/gl/unused-parameter.h, lib/gl/warn-on-use.h,
	lib/gltests/Makefile.am, lib/gltests/_Noreturn.h,
	lib/gltests/accept.c, lib/gltests/alloca.c,
	lib/gltests/alloca.in.h, lib/gltests/arg-nonnull.h,
	lib/gltests/arpa_inet.in.h, lib/gltests/binary-io.c,
	lib/gltests/binary-io.h, lib/gltests/bind.c, lib/gltests/c++defs.h,
	lib/gltests/cloexec.c, lib/gltests/cloexec.h, lib/gltests/close.c,
	lib/gltests/connect.c, lib/gltests/ctype.in.h, lib/gltests/dup2.c,
	lib/gltests/errno.in.h, lib/gltests/fcntl.c,
	lib/gltests/fcntl.in.h, lib/gltests/fd-hook.c,
	lib/gltests/fd-hook.h, lib/gltests/fdopen.c,
	lib/gltests/filename.h, lib/gltests/flexmember.h,
	lib/gltests/fstat.c, lib/gltests/ftruncate.c,
	lib/gltests/getcwd-lgpl.c, lib/gltests/getdtablesize.c,
	lib/gltests/gettimeofday.c, lib/gltests/glthread/lock.c,
	lib/gltests/glthread/lock.h, lib/gltests/glthread/thread.c,
	lib/gltests/glthread/thread.h, lib/gltests/glthread/threadlib.c,
	lib/gltests/glthread/yield.h, lib/gltests/ignore-value.h,
	lib/gltests/inet_pton.c, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/inttypes.in.h,
	lib/gltests/ioctl.c, lib/gltests/isblank.c,
	lib/gltests/langinfo.in.h, lib/gltests/listen.c,
	lib/gltests/locale.in.h, lib/gltests/localename-table.c,
	lib/gltests/localename-table.h, lib/gltests/localename.c,
	lib/gltests/localename.h, lib/gltests/localtime-buffer.c,
	lib/gltests/localtime-buffer.h, lib/gltests/lstat.c,
	lib/gltests/macros.h, lib/gltests/malloc.c, lib/gltests/malloca.c,
	lib/gltests/malloca.h, lib/gltests/msvc-inval.c,
	lib/gltests/msvc-inval.h, lib/gltests/msvc-nothrow.c,
	lib/gltests/msvc-nothrow.h, lib/gltests/nanosleep.c,
	lib/gltests/nap.h, lib/gltests/netinet_in.in.h, lib/gltests/open.c,
	lib/gltests/pathmax.h, lib/gltests/perror.c, lib/gltests/pipe.c,
	lib/gltests/pthread-thread.c, lib/gltests/pthread.in.h,
	lib/gltests/pthread_sigmask.c, lib/gltests/putenv.c,
	lib/gltests/raise.c, lib/gltests/same-inode.h,
	lib/gltests/sched.in.h, lib/gltests/select.c, lib/gltests/setenv.c,
	lib/gltests/setlocale-lock.c, lib/gltests/setlocale.c,
	lib/gltests/setlocale_null.c, lib/gltests/setlocale_null.h,
	lib/gltests/setsockopt.c, lib/gltests/sig-handler.c,
	lib/gltests/sig-handler.h, lib/gltests/sigaction.c,
	lib/gltests/signal.in.h, lib/gltests/signature.h,
	lib/gltests/sigprocmask.c, lib/gltests/sleep.c,
	lib/gltests/socket.c, lib/gltests/sockets.c, lib/gltests/sockets.h,
	lib/gltests/stat-time.c, lib/gltests/stat-time.h,
	lib/gltests/stat-w32.c, lib/gltests/stat-w32.h, lib/gltests/stat.c,
	lib/gltests/stdalign.in.h, lib/gltests/stdio.in.h,
	lib/gltests/stdlib.in.h, lib/gltests/strerror-override.c,
	lib/gltests/strerror-override.h, lib/gltests/strerror.c,
	lib/gltests/strerror_r.c, lib/gltests/symlink.c,
	lib/gltests/sys_ioctl.in.h, lib/gltests/sys_select.in.h,
	lib/gltests/sys_socket.c, lib/gltests/sys_socket.in.h,
	lib/gltests/sys_stat.in.h, lib/gltests/sys_time.in.h,
	lib/gltests/sys_uio.in.h, lib/gltests/test-accept.c,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-arpa_inet.c,
	lib/gltests/test-binary-io.c, lib/gltests/test-binary-io.sh,
	lib/gltests/test-bind.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-cloexec.c, lib/gltests/test-close.c,
	lib/gltests/test-connect.c, lib/gltests/test-ctype.c,
	lib/gltests/test-dup2.c, lib/gltests/test-environ.c,
	lib/gltests/test-errno.c, lib/gltests/test-fcntl-h.c,
	lib/gltests/test-fcntl.c, lib/gltests/test-fdopen.c,
	lib/gltests/test-fgetc.c, lib/gltests/test-fputc.c,
	lib/gltests/test-fread.c, lib/gltests/test-fstat.c,
	lib/gltests/test-ftruncate.c, lib/gltests/test-ftruncate.sh,
	lib/gltests/test-fwrite.c, lib/gltests/test-getcwd-lgpl.c,
	lib/gltests/test-getdtablesize.c, lib/gltests/test-gettimeofday.c,
	lib/gltests/test-iconv.c, lib/gltests/test-ignore-value.c,
	lib/gltests/test-inet_pton.c, lib/gltests/test-init.sh,
	lib/gltests/test-intprops.c, lib/gltests/test-inttypes.c,
	lib/gltests/test-ioctl.c, lib/gltests/test-isblank.c,
	lib/gltests/test-langinfo.c, lib/gltests/test-limits-h.c,
	lib/gltests/test-listen.c, lib/gltests/test-locale.c,
	lib/gltests/test-localename.c, lib/gltests/test-lock.c,
	lib/gltests/test-lstat.c, lib/gltests/test-lstat.h,
	lib/gltests/test-malloca.c, lib/gltests/test-nanosleep.c,
	lib/gltests/test-netinet_in.c, lib/gltests/test-once.c,
	lib/gltests/test-open.c, lib/gltests/test-open.h,
	lib/gltests/test-pathmax.c, lib/gltests/test-perror.c,
	lib/gltests/test-perror.sh, lib/gltests/test-perror2.c,
	lib/gltests/test-pipe.c, lib/gltests/test-pthread-thread.c,
	lib/gltests/test-pthread.c, lib/gltests/test-pthread_sigmask1.c,
	lib/gltests/test-pthread_sigmask2.c, lib/gltests/test-raise.c,
	lib/gltests/test-rwlock1.c, lib/gltests/test-sched.c,
	lib/gltests/test-select-fd.c, lib/gltests/test-select-in.sh,
	lib/gltests/test-select-out.sh, lib/gltests/test-select-stdin.c,
	lib/gltests/test-select.c, lib/gltests/test-select.h,
	lib/gltests/test-setenv.c, lib/gltests/test-setlocale1.c,
	lib/gltests/test-setlocale2.c,
	lib/gltests/test-setlocale_null-mt-all.c,
	lib/gltests/test-setlocale_null-mt-one.c,
	lib/gltests/test-setlocale_null.c, lib/gltests/test-setsockopt.c,
	lib/gltests/test-sigaction.c, lib/gltests/test-signal-h.c,
	lib/gltests/test-sigprocmask.c, lib/gltests/test-sleep.c,
	lib/gltests/test-sockets.c, lib/gltests/test-stat-time.c,
	lib/gltests/test-stat.c, lib/gltests/test-stat.h,
	lib/gltests/test-stdalign.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdio.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-strerror.c, lib/gltests/test-strerror_r.c,
	lib/gltests/test-striconv.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-symlink.c, lib/gltests/test-symlink.h,
	lib/gltests/test-sys_ioctl.c, lib/gltests/test-sys_select.c,
	lib/gltests/test-sys_socket.c, lib/gltests/test-sys_stat.c,
	lib/gltests/test-sys_time.c, lib/gltests/test-sys_types.c,
	lib/gltests/test-sys_uio.c, lib/gltests/test-sys_wait.h,
	lib/gltests/test-thread_create.c, lib/gltests/test-thread_self.c,
	lib/gltests/test-time.c, lib/gltests/test-unistd.c,
	lib/gltests/test-unsetenv.c, lib/gltests/test-usleep.c,
	lib/gltests/test-verify-try.c, lib/gltests/test-verify.c,
	lib/gltests/time.in.h, lib/gltests/unistd.in.h,
	lib/gltests/unistr/test-u8-check.c,
	lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/unused-parameter.h, lib/gltests/usleep.c,
	lib/gltests/verify.h, lib/gltests/w32sock.h,
	lib/gltests/warn-on-use.h, lib/gltests/wchar.in.h,
	lib/gltests/windows-initguard.h, lib/gltests/windows-mutex.c,
	lib/gltests/windows-mutex.h, lib/gltests/windows-once.c,
	lib/gltests/windows-once.h, lib/gltests/windows-recmutex.c,
	lib/gltests/windows-recmutex.h, lib/gltests/windows-rwlock.c,
	lib/gltests/windows-rwlock.h, lib/gltests/windows-thread.c,
	lib/gltests/windows-thread.h, lib/gltests/windows-tls.c,
	lib/gltests/windows-tls.h, lib/gltests/xalloc-oversized.h, maint.mk: 
	Update gnulib files.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Fix libidn.jar building with non-gcj.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* HACKING, m4/ax_java_options.m4, m4/ax_prog_javac.m4,
	m4/ax_prog_javac_works.m4, m4/ax_prog_javadoc.m4: Provide local
	copies of autoconf-archive Java M4's.

2020-04-28  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, FAQ, HACKING, Makefile.am, NEWS, README,
	THANKS, TODO, cfg.mk, configure.ac, contrib/README,
	contrib/doxygen/gdoc2doxygen, contrib/java/Makefile.am,
	contrib/java/README, csharp/AssemblyInfo.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/Makefile.am, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/generate/AssemblyInfo.cs, csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/Makefile.am, doc/cyclo/Makefile.am, doc/gdoc, doc/gdoc.mk,
	doc/java/Makefile.am, doc/libidn.texi, doc/tld/Makefile.am,
	doc/tld/README, doc/tld/fr.tld, doc/tld/no.tld,
	examples/Makefile.am, examples/README, examples/example.c,
	examples/example2.c, examples/example3.c, examples/example4.c,
	examples/example5.c, java/Makefile.am, java/src/Makefile.am,
	java/src/main/Makefile.am, java/src/main/java/Makefile.am,
	java/src/main/java/gnu/Makefile.am,
	java/src/main/java/gnu/inet/Makefile.am,
	java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/IDNAException.java,
	java/src/main/java/gnu/inet/encoding/Makefile.am,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/PunycodeException.java,
	java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/main/java/gnu/inet/encoding/StringprepException.java,
	java/src/test/Makefile.am, java/src/test/java/Makefile.am,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/StringprepTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java
	, java/src/util/Makefile.am, java/src/util/java/GenerateNFKC.java,
	java/src/util/java/GenerateRFC3454.java,
	java/src/util/java/Makefile.am, java/src/util/java/TestIDNA.java,
	java/src/util/java/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/libidn.map, lib/nfkc.c, lib/pr29.c,
	lib/pr29.h, lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/README, libc/example.c,
	libc/getaddrinfo-idn.txt, libidn.pc.in,
	m4/update-header-version.m4, src/Makefile.am, src/idn.c,
	src/idn.ggo, src/idna.el, src/punycode.el, tests/Makefile.am,
	tests/tst_badutf8.c, tests/tst_badutf8nfkc.c, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_idna3.c, tests/tst_idna4.c,
	tests/tst_nfkc.c, tests/tst_pr29.c, tests/tst_punycode.c,
	tests/tst_strerror.c, tests/tst_stringprep.c, tests/tst_symbols.c,
	tests/tst_tld.c, tests/tst_toascii64oob.c, tests/tst_toutf8.c,
	tests/tst_utf8crash.c, tests/utils.c, tests/utils.h,
	windows/include/ac-stdint.h, windows/include/config.h,
	windows/include/idn-int.h, windows/include/stdbool.h,
	windows/libidn4win.mk: Update copyright years.

2019-05-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore, gltests/test-once.c: Fix tests, adding
	gltests/test-once.c

2019-05-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* csharp/Makefile.am, lib/punycode.c: Fix build failure in csharp/

2019-05-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore, GNUmakefile, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/update-copyright, build-aux/useless-if-before-free,
	build-aux/vc-list-files, configure.ac, doc/gendocs_template,
	doc/gendocs_template_min, gl/Makefile.am, gl/_Noreturn.h,
	gl/arg-nonnull.h, gl/basename-lgpl.c, gl/c++defs.h,
	gl/dirname-lgpl.c, gl/dirname.h, gl/dosname.h, gl/errno.in.h,
	gl/error.c, gl/error.h, gl/getdelim.c, gl/getline.c,
	gl/getopt-cdefs.in.h, gl/getopt-core.h, gl/getopt-ext.h,
	gl/getopt-pfx-core.h, gl/getopt-pfx-ext.h, gl/getopt.c,
	gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h, gl/getprogname.c,
	gl/getprogname.h, gl/gettext.h, gl/intprops.h, gl/limits.h,
	gl/limits.in.h, gl/m4/00gnulib.m4, gl/m4/absolute-header.m4,
	gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4, gl/m4/asm-underscore.m4,
	gl/m4/autobuild.m4, gl/m4/close.m4, gl/m4/csharp.m4,
	gl/m4/csharpcomp.m4, gl/m4/csharpexec.m4, gl/m4/ctype.m4,
	gl/m4/dirname.m4, gl/m4/double-slash-root.m4, gl/m4/dup2.m4,
	gl/m4/eealloc.m4, gl/m4/environ.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/extensions.m4, gl/m4/extern-inline.m4,
	gl/m4/fcntl-o.m4, gl/m4/fcntl.m4, gl/m4/fcntl_h.m4,
	gl/m4/fdopen.m4, gl/m4/fstat.m4, gl/m4/ftruncate.m4,
	gl/m4/getcwd.m4, gl/m4/getdelim.m4, gl/m4/getdtablesize.m4,
	gl/m4/getline.m4, gl/m4/getopt.m4, gl/m4/getprogname.m4,
	gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/host-cpu-c-abi.m4, gl/m4/include_next.m4, gl/m4/inet_pton.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/ioctl.m4,
	gl/m4/isblank.m4, gl/m4/largefile.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/limits-h.m4,
	gl/m4/localtime-buffer.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/malloca.m4,
	gl/m4/manywarnings-c++.m4, gl/m4/manywarnings.m4, gl/m4/mode_t.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4,
	gl/m4/nanosleep.m4, gl/m4/netinet_in_h.m4, gl/m4/nocrash.m4,
	gl/m4/off_t.m4, gl/m4/open-cloexec.m4, gl/m4/open.m4,
	gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4,
	gl/m4/pthread_rwlock_rdlock.m4, gl/m4/pthread_sigmask.m4,
	gl/m4/putenv.m4, gl/m4/raise.m4, gl/m4/select.m4, gl/m4/setenv.m4,
	gl/m4/sigaction.m4, gl/m4/signal_h.m4, gl/m4/signalblocking.m4,
	gl/m4/sleep.m4, gl/m4/socketlib.m4, gl/m4/sockets.m4,
	gl/m4/socklen.m4, gl/m4/sockpfaf.m4, gl/m4/ssize_t.m4,
	gl/m4/stat-time.m4, gl/m4/stat.m4, gl/m4/stdalign.m4,
	gl/m4/stdarg.m4, gl/m4/stdbool.m4, gl/m4/stddef_h.m4,
	gl/m4/stdint.m4, gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4,
	gl/m4/strerror.m4, gl/m4/strerror_r.m4, gl/m4/string_h.m4,
	gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4, gl/m4/sys_select_h.m4,
	gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_time_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/sys_uio_h.m4, gl/m4/thread.m4,
	gl/m4/threadlib.m4, gl/m4/time_h.m4, gl/m4/unistd_h.m4,
	gl/m4/usleep.m4, gl/m4/valgrind-tests.m4, gl/m4/version-etc.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/yield.m4, gl/malloc.c,
	gl/msvc-inval.c, gl/msvc-inval.h, gl/msvc-nothrow.c,
	gl/msvc-nothrow.h, gl/progname.c, gl/progname.h, gl/stdarg.in.h,
	gl/stdbool.in.h, gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h,
	gl/stdlib.in.h, gl/strerror-override.c, gl/strerror-override.h,
	gl/strerror.c, gl/string.in.h, gl/stripslash.c, gl/sys_types.in.h,
	gl/unistd.in.h, gl/verify.h, gl/version-etc.c, gl/version-etc.h,
	gl/warn-on-use.h, gltests/Makefile.am, gltests/_Noreturn.h,
	gltests/accept.c, gltests/alloca.c, gltests/alloca.in.h,
	gltests/arg-nonnull.h, gltests/arpa_inet.in.h, gltests/binary-io.c,
	gltests/binary-io.h, gltests/bind.c, gltests/c++defs.h,
	gltests/c-ctype.h, gltests/cloexec.c, gltests/cloexec.h,
	gltests/close.c, gltests/connect.c, gltests/ctype.in.h,
	gltests/dup2.c, gltests/fcntl.c, gltests/fcntl.in.h,
	gltests/fd-hook.c, gltests/fd-hook.h, gltests/fdopen.c,
	gltests/filename.h, gltests/fstat.c, gltests/ftruncate.c,
	gltests/getcwd-lgpl.c, gltests/getdtablesize.c,
	gltests/gettimeofday.c, gltests/glthread/lock.c,
	gltests/glthread/lock.h, gltests/glthread/thread.c,
	gltests/glthread/thread.h, gltests/glthread/threadlib.c,
	gltests/glthread/yield.h, gltests/ignore-value.h,
	gltests/inet_pton.c, gltests/init.sh, gltests/inttypes.in.h,
	gltests/ioctl.c, gltests/isblank.c, gltests/listen.c,
	gltests/localtime-buffer.c, gltests/localtime-buffer.h,
	gltests/lstat.c, gltests/macros.h, gltests/malloca.c,
	gltests/malloca.h, gltests/nanosleep.c, gltests/nap.h,
	gltests/netinet_in.in.h, gltests/open.c, gltests/pathmax.h,
	gltests/perror.c, gltests/pipe.c, gltests/pthread_sigmask.c,
	gltests/putenv.c, gltests/raise.c, gltests/same-inode.h,
	gltests/select.c, gltests/setenv.c, gltests/setsockopt.c,
	gltests/sig-handler.h, gltests/sigaction.c, gltests/signal.in.h,
	gltests/signature.h, gltests/sigprocmask.c, gltests/sleep.c,
	gltests/socket.c, gltests/sockets.c, gltests/sockets.h,
	gltests/stat-time.h, gltests/stat-w32.c, gltests/stat-w32.h,
	gltests/stat.c, gltests/stdalign.in.h, gltests/strerror_r.c,
	gltests/symlink.c, gltests/sys_ioctl.in.h, gltests/sys_select.in.h,
	gltests/sys_socket.in.h, gltests/sys_stat.in.h,
	gltests/sys_time.in.h, gltests/sys_uio.in.h, gltests/test-accept.c,
	gltests/test-alloca-opt.c, gltests/test-arpa_inet.c,
	gltests/test-binary-io.c, gltests/test-binary-io.sh,
	gltests/test-bind.c, gltests/test-c-ctype.c,
	gltests/test-cloexec.c, gltests/test-close.c,
	gltests/test-connect.c, gltests/test-ctype.c, gltests/test-dup2.c,
	gltests/test-environ.c, gltests/test-errno.c, gltests/test-fcntl.c,
	gltests/test-fdopen.c, gltests/test-fgetc.c, gltests/test-fputc.c,
	gltests/test-fread.c, gltests/test-fstat.c,
	gltests/test-ftruncate.c, gltests/test-ftruncate.sh,
	gltests/test-fwrite.c, gltests/test-getcwd-lgpl.c,
	gltests/test-getdelim.c, gltests/test-getdtablesize.c,
	gltests/test-getline.c, gltests/test-getopt-gnu.c,
	gltests/test-getopt-main.h, gltests/test-getopt-posix.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-getprogname.c, gltests/test-gettimeofday.c,
	gltests/test-ignore-value.c, gltests/test-inet_pton.c,
	gltests/test-init.sh, gltests/test-intprops.c,
	gltests/test-inttypes.c, gltests/test-ioctl.c,
	gltests/test-isblank.c, gltests/test-limits-h.c,
	gltests/test-listen.c, gltests/test-lock.c, gltests/test-lstat.c,
	gltests/test-lstat.h, gltests/test-malloca.c,
	gltests/test-nanosleep.c, gltests/test-netinet_in.c,
	gltests/test-open.c, gltests/test-open.h, gltests/test-pathmax.c,
	gltests/test-perror.c, gltests/test-perror.sh,
	gltests/test-perror2.c, gltests/test-pipe.c,
	gltests/test-pthread_sigmask1.c, gltests/test-pthread_sigmask2.c,
	gltests/test-raise.c, gltests/test-rwlock1.c,
	gltests/test-select-fd.c, gltests/test-select-in.sh,
	gltests/test-select-out.sh, gltests/test-select-stdin.c,
	gltests/test-select.c, gltests/test-select.h,
	gltests/test-setenv.c, gltests/test-setsockopt.c,
	gltests/test-sigaction.c, gltests/test-signal-h.c,
	gltests/test-sigprocmask.c, gltests/test-sleep.c,
	gltests/test-sockets.c, gltests/test-stat-time.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-stdalign.c,
	gltests/test-stdbool.c, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-strerror_r.c,
	gltests/test-symlink.c, gltests/test-symlink.h,
	gltests/test-sys_ioctl.c, gltests/test-sys_select.c,
	gltests/test-sys_socket.c, gltests/test-sys_time.c,
	gltests/test-sys_types.c, gltests/test-sys_uio.c,
	gltests/test-thread_create.c, gltests/test-thread_self.c,
	gltests/test-unsetenv.c, gltests/test-usleep.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify-try.c,
	gltests/test-verify.c, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/time.in.h, gltests/unsetenv.c,
	gltests/usleep.c, gltests/version-etc-fsf.c, gltests/w32sock.h,
	gltests/warn-on-use.h, gltests/wchar.in.h,
	gltests/xalloc-oversized.h, lib/gl/Makefile.am,
	lib/gl/arg-nonnull.h, lib/gl/c++defs.h, lib/gl/c-ctype.h,
	lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c,
	lib/gl/gettext.h, lib/gl/iconv.c, lib/gl/iconv.in.h,
	lib/gl/iconv_close.c, lib/gl/iconv_open-aix.gperf,
	lib/gl/iconv_open-hpux.gperf, lib/gl/iconv_open-irix.gperf,
	lib/gl/iconv_open-osf.gperf, lib/gl/iconv_open-solaris.gperf,
	lib/gl/iconv_open.c, lib/gl/limits.h, lib/gl/limits.in.h,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/absolute-header.m4,
	lib/gl/m4/alloca.m4, lib/gl/m4/asm-underscore.m4,
	lib/gl/m4/codeset.m4, lib/gl/m4/ctype.m4, lib/gl/m4/eealloc.m4,
	lib/gl/m4/environ.m4, lib/gl/m4/extensions.m4,
	lib/gl/m4/extern-inline.m4, lib/gl/m4/flexmember.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/host-cpu-c-abi.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/inline.m4,
	lib/gl/m4/intl-thread-locale.m4, lib/gl/m4/intlmacosx.m4,
	lib/gl/m4/inttypes-pri.m4, lib/gl/m4/inttypes.m4,
	lib/gl/m4/isblank.m4, lib/gl/m4/langinfo_h.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/ld-output-def.m4,
	lib/gl/m4/ld-version-script.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4,
	lib/gl/m4/libunistring-base.m4, lib/gl/m4/limits-h.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-ja.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/locale-zh.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/localename.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/malloc.m4, lib/gl/m4/malloca.m4,
	lib/gl/m4/msvc-inval.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/off_t.m4, lib/gl/m4/pthread_rwlock_rdlock.m4,
	lib/gl/m4/pthread_sigmask.m4, lib/gl/m4/putenv.m4,
	lib/gl/m4/raise.m4, lib/gl/m4/setenv.m4, lib/gl/m4/setlocale.m4,
	lib/gl/m4/signal_h.m4, lib/gl/m4/signalblocking.m4,
	lib/gl/m4/sleep.m4, lib/gl/m4/ssize_t.m4, lib/gl/m4/stdalign.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/thread.m4, lib/gl/m4/threadlib.m4, lib/gl/m4/time_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/usleep.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/yield.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/gl/sys_types.in.h,
	lib/gl/unistr.in.h, lib/gl/unistr/u8-check.c,
	lib/gl/unistr/u8-mbtoucr.c, lib/gl/unistr/u8-uctomb-aux.c,
	lib/gl/unistr/u8-uctomb.c, lib/gl/unitypes.in.h,
	lib/gl/unused-parameter.h, lib/gl/warn-on-use.h,
	lib/gltests/Makefile.am, lib/gltests/_Noreturn.h,
	lib/gltests/alloca.in.h, lib/gltests/arg-nonnull.h,
	lib/gltests/c++defs.h, lib/gltests/ctype.in.h,
	lib/gltests/flexmember.h, lib/gltests/glthread/lock.c,
	lib/gltests/glthread/lock.h, lib/gltests/glthread/thread.c,
	lib/gltests/glthread/thread.h, lib/gltests/glthread/threadlib.c,
	lib/gltests/glthread/yield.h, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/inttypes.in.h,
	lib/gltests/isblank.c, lib/gltests/langinfo.in.h,
	lib/gltests/locale.in.h, lib/gltests/localename-table.c,
	lib/gltests/localename-table.h, lib/gltests/localename.c,
	lib/gltests/localename.h, lib/gltests/macros.h,
	lib/gltests/malloc.c, lib/gltests/malloca.c, lib/gltests/malloca.h,
	lib/gltests/msvc-inval.c, lib/gltests/msvc-inval.h,
	lib/gltests/pthread_sigmask.c, lib/gltests/putenv.c,
	lib/gltests/raise.c, lib/gltests/setenv.c, lib/gltests/setlocale.c,
	lib/gltests/signal.in.h, lib/gltests/signature.h,
	lib/gltests/sigprocmask.c, lib/gltests/sleep.c,
	lib/gltests/stdalign.in.h, lib/gltests/stdlib.in.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcase.sh, lib/gltests/test-c-strcasecmp.c,
	lib/gltests/test-c-strncasecmp.c, lib/gltests/test-ctype.c,
	lib/gltests/test-environ.c, lib/gltests/test-iconv.c,
	lib/gltests/test-init.sh, lib/gltests/test-intprops.c,
	lib/gltests/test-inttypes.c, lib/gltests/test-isblank.c,
	lib/gltests/test-langinfo.c, lib/gltests/test-limits-h.c,
	lib/gltests/test-locale.c, lib/gltests/test-localename.c,
	lib/gltests/test-lock.c, lib/gltests/test-malloca.c,
	lib/gltests/test-once.c, lib/gltests/test-pthread_sigmask1.c,
	lib/gltests/test-pthread_sigmask2.c, lib/gltests/test-raise.c,
	lib/gltests/test-rwlock1.c, lib/gltests/test-setenv.c,
	lib/gltests/test-setlocale1.c, lib/gltests/test-setlocale1.sh,
	lib/gltests/test-setlocale2.c, lib/gltests/test-setlocale2.sh,
	lib/gltests/test-signal-h.c, lib/gltests/test-sigprocmask.c,
	lib/gltests/test-sleep.c, lib/gltests/test-stdalign.c,
	lib/gltests/test-stdbool.c, lib/gltests/test-stddef.c,
	lib/gltests/test-stdint.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-striconv.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-sys_types.c, lib/gltests/test-sys_wait.h,
	lib/gltests/test-thread_create.c, lib/gltests/test-thread_self.c,
	lib/gltests/test-time.c, lib/gltests/test-unistd.c,
	lib/gltests/test-unsetenv.c, lib/gltests/test-usleep.c,
	lib/gltests/test-verify-try.c, lib/gltests/test-verify.c,
	lib/gltests/time.in.h, lib/gltests/unistd.in.h,
	lib/gltests/unistr/test-u8-check.c,
	lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/unused-parameter.h, lib/gltests/usleep.c,
	lib/gltests/verify.h, lib/gltests/warn-on-use.h,
	lib/gltests/wchar.in.h, lib/gltests/xalloc-oversized.h, maint.mk: 
	Update gnulib files

2018-07-10  Miroslav Lichvar <mlichvar@redhat.com>

	* lib/idna.c: Fix unlikely memory leak in idna_to_unicode_4z4z

2018-07-06  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/punycode.c: Check codepoint validity in punycode_decode() and
	punycode_decode() These functions were able to generate invalid unicode values resp.
	invalid punycode. This is undocumented/unexpected behavior that can
	lead to security vulns.  Reported-by: Mike Schiffman (Farsight Security, Inc.)

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* HACKING: Update HACKING

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* NEWS: Update release date in NEWS

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/Makevars: Amend po/Makevars to survive 'make distcheck'

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* Makefile.am, cfg.mk: Disable valgrind tests for 'make distcheck'
	and by default

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/main.c: Remove fuzz corpora from tarball

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/LINGUAS, po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in,
	po/es.po.in, po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in: 
	Sync with TP.

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/LINGUAS, po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in,
	po/es.po.in, po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in: 
	Sync with TP.

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in, po/es.po.in,
	po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in, po/id.po.in,
	po/it.po.in, po/ja.po.in, po/nl.po.in, po/pl.po.in, po/pt_BR.po.in,
	po/ro.po.in, po/sr.po.in, po/sv.po.in, po/uk.po.in, po/vi.po.in: 
	Sync with TP.

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/stringprep.h: Fix indentation

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	*
	fuzz/libidn_stringprep_fuzzer.in/1f22e24a3fb9cf6acd7142fb6fe32fbb23
	c98679,
	fuzz/libidn_stringprep_fuzzer.in/597fa86126d3ab0ceb6f75186d332edb46
	10f428,
	fuzz/libidn_stringprep_fuzzer.in/da39a3ee5e6b4b0d3255bfef95601890af
	d80709,
	fuzz/libidn_stringprep_fuzzer.in/f9588bc48d8af673775c1c4383b038b0b2
	5821cb,
	fuzz/libidn_toascii_fuzzer.in/009ea80186fd48f2be70e15a5ee6725830195
	2d1,
	fuzz/libidn_toascii_fuzzer.in/a34567700e7d1593019d6485575b9f5108dda
	c6b,
	fuzz/libidn_tounicode_fuzzer.in/08659d1d9ca279fd8aaccd8193b07b4979e
	2acb6,
	fuzz/libidn_tounicode_fuzzer.in/1150df14849dfed92e120d5222b1e278e9b
	a5277,
	fuzz/libidn_tounicode_fuzzer.in/14b99bce491e97c22d16a278eb05e75ff60
	81cc6,
	fuzz/libidn_tounicode_fuzzer.in/167022ee2f31badfec8df0c364393c1ae2a
	d5be9,
	fuzz/libidn_tounicode_fuzzer.in/176ad7177686b1462c56cfa15d91608ea18
